"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
// Can be used to debug MSON component actions
class ConsoleLog extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'ConsoleLog';
    }
    create(props) {
        super.create(props);
        // For mocking
        this._console = console;
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'message',
                        component: 'TextField',
                    },
                ],
            },
        });
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            this._console.log(this.get('message'));
            // Pass on the arguments so that the log can be used in the middle of 2 components
            return props.arguments;
        });
    }
}
exports.default = ConsoleLog;
