"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
class Email extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Email';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'from',
                        component: 'TextField',
                    },
                    {
                        name: 'sender',
                        component: 'TextField',
                    },
                    {
                        name: 'replyTo',
                        component: 'TextField',
                    },
                    {
                        name: 'to',
                        // Note: TextField as want to allow for multiple recipients
                        component: 'TextField',
                    },
                    {
                        name: 'subject',
                        component: 'TextField',
                    },
                    {
                        name: 'body',
                        component: 'TextField',
                    },
                ],
            },
        });
        this._setDefaults(props, { layer: 'backEnd' });
    }
    _sendEmail(props) {
        return this._registrar.email.send(props);
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            return this._sendEmail(this.get(['from', 'sender', 'replyTo', 'to', 'subject', 'body']));
        });
    }
}
exports.default = Email;
