"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
class GenerateComponent extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'GenerateComponent';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    // Note: we are no longer using a componentFactory, as we now opt to generate the
                    // component from a string. This in turn, allows us to make any aspect of the component
                    // dynamic, including the component type.
                    //
                    // In the future, we may want to bring back the componentFactory functionality, but for
                    // now, we are opting to keep things simple and provide a single way to generate
                    // components--one that works for all use cases.
                    //
                    // {
                    //   name: 'componentFactory', component: 'Field', required: true,
                    // },
                    {
                        // Use a string instead of object so that we can dynamically change any detail
                        name: 'definition',
                        component: 'TextField',
                        required: true,
                    },
                ],
            },
        });
    }
    act( /* props */) {
        return __awaiter(this, void 0, void 0, function* () {
            // const factory = this.get('componentFactory');
            // return factory.produce();
            const definition = this.get('definition');
            // Note: we use this._registrar.compiler to avoid a circular dependency
            return this._registrar.compiler.newComponent(JSON.parse(definition));
        });
    }
}
exports.default = GenerateComponent;
