"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
const get_1 = __importDefault(require("lodash/get"));
const clone_1 = __importDefault(require("lodash/clone"));
const map_1 = __importDefault(require("lodash/map"));
const prop_filler_1 = __importDefault(require("../compiler/prop-filler"));
class Iterator extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Iterator';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'iterator',
                        component: 'Field',
                        required: true,
                    },
                    {
                        name: 'return',
                        component: 'Field',
                        required: true,
                    },
                ],
            },
        });
    }
    _getProp(props, path) {
        return (0, get_1.default)(props, path);
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            const iterator = this._getProp(props, this.get('iterator'));
            const clonedProps = (0, clone_1.default)(props);
            const filler = new prop_filler_1.default(props);
            return (0, map_1.default)(iterator, (item) => {
                // Inject item
                clonedProps.item = item;
                filler.setProps(clonedProps);
                return filler.fillAll(this.get('return'));
            });
        });
    }
}
exports.default = Iterator;
