"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
class LogInToApp extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'LogInToApp';
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            const appId = this._globals.get('appId');
            const values = props.component.get('value');
            try {
                yield this._registrar.client.user.logInToApp({
                    appId,
                    username: values.username,
                    password: values.password,
                });
            }
            catch (err) {
                // Assume this is an "invalid username or password"
                props.component.getField('password').setErr('invalid email or password');
                throw err;
            }
        });
    }
}
exports.default = LogInToApp;
