"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
class Set extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Set';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'name',
                        component: 'TextField',
                    },
                    {
                        name: 'value',
                        component: 'Field',
                    },
                    {
                        name: 'target',
                        component: 'Field',
                    },
                ],
            },
        });
    }
    _setProp(props) {
        const name = this.get('name');
        let names = name ? name.split('.') : [];
        const thisValue = this.get('value');
        const value = thisValue === undefined ? props.arguments : thisValue;
        const thisTarget = this.get('target');
        const target = thisTarget === undefined ? props.component : thisTarget;
        if (!name) {
            // No name was specified, pipe to next action
            return value;
        }
        else if (names[0] === 'globals' || names[0] === 'component') {
            const first = names.splice(0, 1)[0]; // Remove globals or component
            if (first === 'globals') {
                this._globals.set({
                    [names.join('.')]: value,
                });
            }
            else {
                target.set(value);
            }
        }
        else {
            target.set({
                [name]: value,
            });
        }
        // Pipe the arguments so that we can do things like use multiple Set actions to copy pieces of
        // our API results
        return props.arguments;
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            return this._setProp(props);
        });
    }
}
exports.default = Set;
