"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./action"));
class UpsertDoc extends action_1.default {
    constructor() {
        super(...arguments);
        this.className = 'UpsertDoc';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'store',
                        component: 'Field',
                    },
                    {
                        name: 'form',
                        component: 'Field',
                    },
                ],
            },
        });
    }
    act(props) {
        return __awaiter(this, void 0, void 0, function* () {
            const form = this.get('form');
            return this.get('store').upsertDoc({
                form: form ? form : props.component,
            });
        });
    }
}
exports.default = UpsertDoc;
