"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
class App extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'App';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'menu',
                        component: 'Field',
                    },
                    {
                        name: 'menuAlwaysTemporary',
                        component: 'BooleanField',
                    },
                    {
                        name: 'basename',
                        component: 'TextField',
                        help: "The base URL for all locations. If your app is served from a sub-directory on your server, you'll want to set this to the sub-directory. A properly formatted basename should have a leading slash, but no trailing slash.",
                    },
                ],
            },
        });
    }
    emitLoggedOut() {
        this.emitChange('loggedOut');
    }
}
exports.default = App;
