"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
class Card extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Card';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'title',
                        component: 'TextField',
                        label: 'Title',
                    },
                    {
                        name: 'content',
                        component: 'Field',
                        label: 'Content',
                        required: true,
                    },
                    {
                        name: 'searchString',
                        component: 'TextField',
                    },
                    {
                        name: 'dirty',
                        component: 'BooleanField',
                    },
                ],
            },
        });
        this._bubbleUpLoad();
    }
    _handleLoadFactory() {
        return () => {
            const content = this.get('content');
            if (content) {
                content.emitLoad();
            }
        };
    }
    _bubbleUpLoad() {
        this.on('load', this._handleLoadFactory());
    }
}
exports.default = Card;
