/// <reference types="node" />
export default class BaseComponent extends events {
    static _layer: null;
    static getLayer(): any;
    static setLayer(layer: any): void;
    static _throwActionErrors: boolean;
    static setThrowActionErrors(throwErrs: any): void;
    static getNextKey(): number;
    static toUniqueId(key: any): string;
    static getNextUniqueId(): string;
    constructor(props: any);
    className: string;
    _getBaseComponentSchema(): {
        component: string;
        fields: ({
            name: string;
            component: string;
            label?: undefined;
            docLevel?: undefined;
            help?: undefined;
            form?: undefined;
            options?: undefined;
        } | {
            name: string;
            component: string;
            label: string;
            docLevel: string;
            help: string;
            form?: undefined;
            options?: undefined;
        } | {
            name: string;
            component: string;
            form: {
                component: string;
            };
            label?: undefined;
            docLevel?: undefined;
            help?: undefined;
            options?: undefined;
        } | {
            name: string;
            component: string;
            options: {
                value: string;
                label: string;
            }[];
            label?: undefined;
            docLevel?: undefined;
            help?: undefined;
            form?: undefined;
        })[];
    };
    _emitCreate(): void;
    _emittedCreate: boolean;
    _setDebugId(): void;
    _debugId: number | undefined;
    _emitCreateIfNotMuted(): void;
    _registrar: {};
    _props: {};
    _listenerEvents: {};
    _subEvents: {};
    _isLoaded: boolean;
    _resolveAfterCreate: Promise<any>;
    _resolveAfterLoad: Promise<any>;
    _propNames: string[];
    _indexedPropNames: {
        schema: boolean;
    };
    _setKey(): void;
    _key: number | undefined;
    create(props: any): void;
    emitChange(name: any, value: any): void;
    _setProperty(name: any, value: any): void;
    _setPropertyAndEmitChange(name: any, value: any): void;
    _setIfDifferent(name: any, value: any): void;
    _push(name: any, value: any): void;
    _concat(name: any, newValues: any): void;
    has(name: any): boolean;
    _throwIfNotDefined(name: any): void;
    _setIfPropDefined(name: any, value: any): void;
    _throwPropertyNotFound(propertyNames: any): void;
    isComponent(property: any): boolean;
    _getSubProperty(name: any, end: any): {
        property: BaseComponent;
        names: any;
    };
    _set(name: any, value: any): void;
    _setIfDefined(name: any, value: any): void;
    _setProps(props: any): void;
    _setName(name: any): void;
    _setParent(parent: any): void;
    _setIsStore(isStore: any): void;
    _setDefaults(props: any, values: any): void;
    _emitDidCreate(): void;
    _emitDidLoad(): void;
    _getLayer(): any;
    _hasListenerForEvent(event: any): boolean;
    _hasDot(event: any): boolean;
    _listenToSubEvent(event: any): void;
    _listenIfNewSubEvent(event: any): void;
    _listenIfSubEvent(event: any): void;
    _setListeners(listeners: any): void;
    _emitAfterListenerEvents(event: any): void;
    _runAction(listener: any, action: any, event: any, args: any, context: any, ...args: any[]): Promise<any>;
    _onActionErr(err: any): void;
    _onDetachedActionErr(err: any): void;
    runListeners(event: any, output: any, context: any): Promise<any>;
    _shouldThrowActionErrors(): any;
    _runListenersAndEmitError(event: any, value: any): Promise<void>;
    _listenToAllChanges(): void;
    _pushProp(name: any): void;
    _setSchema(schema: any): void;
    _setMuteEvents(muteCreate: any): void;
    set(props: any): void;
    _getProperty(name: any): any;
    _getIfDefined(name: any): any;
    _get(name: any): any;
    getOne(name: any): any;
    get(names: any): any;
    setClassName(className: any): void;
    getClassName(): string;
    getParentClassName(): any;
    _cloneDeep(obj: any): any;
    _cloneSlow(): any;
    _cloneFast({ defaultProps, excludeProps }: {
        defaultProps: any;
        excludeProps: any;
    }): any;
    _canCloneFast(): any;
    _clone({ defaultProps, excludeProps }?: {
        defaultProps: any;
        excludeProps: any;
    }): any;
    clone(): any;
    emitLoad(): void;
    emitUnload(): void;
    _bubbleUpEvents(component: any, events: any): void;
    getKey(): number | undefined;
    _setOn(component: any, props: any, propNames: any): void;
    _getFrom(component: any, name: any, propNames: any): any;
    buildSchemaForm(form: any, compiler: any): void;
    getUniqueId(): any;
    isLoaded(): boolean;
    resolveAfterCreate(): Promise<any>;
    resolveAfterLoad(): Promise<any>;
    destroy(): void;
    getHiddenFieldDefinitions(names: any): any;
}
import events from "events";
