"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const component_1 = __importDefault(require("./component"));
class Factory extends component_1.default {
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'product',
                        component: 'Field',
                        required: true,
                    },
                    {
                        name: 'properties',
                        component: 'Field',
                    },
                ],
            },
        });
    }
    produce(props) {
        const component = this.get('product')();
        const properties = this.get('properties');
        if (properties) {
            component.set(properties);
        }
        if (props) {
            component.set(props);
        }
        return component;
    }
}
exports.default = Factory;
