"use strict";
// NOTE:
// - This file should only contain the component registrations
// - Names of user-defined fields should be in the form org.proj.ComponentName. They should not
//   appear in this file though!
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const action_1 = __importDefault(require("./actions/action"));
const address_field_1 = __importDefault(require("./fields/address-field"));
const address_form_1 = __importDefault(require("./fields/address-form"));
const alert_1 = __importDefault(require("./alert"));
const app_1 = __importDefault(require("./app"));
const authenticated_contact_us_1 = __importDefault(require("./aggregate/authenticated-contact-us"));
const boolean_field_1 = __importDefault(require("./fields/boolean-field"));
const button_field_1 = __importDefault(require("./fields/button-field"));
const card_1 = __importDefault(require("./card"));
const chained_select_field_1 = __importDefault(require("./fields/chained-select-field"));
const chained_select_list_field_1 = __importDefault(require("./fields/chained-select-list-field"));
const chained_select_options_field_1 = __importDefault(require("./fields/chained-select-options-field"));
const city_field_1 = __importDefault(require("./fields/city-field"));
const collection_field_1 = __importDefault(require("./fields/collection-field"));
const component_1 = __importDefault(require("./component/component"));
const component_field_1 = __importDefault(require("./fields/component-field"));
const component_form_1 = __importDefault(require("./form/component-form"));
const composite_field_1 = __importDefault(require("./fields/composite-field"));
const console_log_1 = __importDefault(require("./actions/console-log"));
const contact_us_1 = __importDefault(require("./aggregate/contact-us"));
const container_1 = __importDefault(require("./container"));
const country_field_1 = __importDefault(require("./fields/country-field"));
const date_field_1 = __importDefault(require("./fields/date-field"));
const email_1 = __importDefault(require("./actions/email"));
const email_field_1 = __importDefault(require("./fields/email-field"));
const emit_1 = __importDefault(require("./actions/emit"));
const extended_field_1 = __importDefault(require("./fields/extended-field"));
const factory_1 = __importDefault(require("./component/factory"));
const field_1 = __importDefault(require("./fields/field"));
const firebase_store_1 = __importDefault(require("./stores/firebase-store"));
const form_1 = __importDefault(require("./form"));
const form_access_1 = __importDefault(require("./form/form-access"));
const form_field_1 = __importDefault(require("./fields/form-field"));
const form_validator_1 = __importDefault(require("./form/form-validator"));
const fragment_1 = __importDefault(require("./fragment"));
const generate_component_1 = __importDefault(require("./actions/generate-component"));
const get_doc_1 = __importDefault(require("./actions/get-doc"));
const get_docs_1 = __importDefault(require("./actions/get-docs"));
const grid_1 = __importDefault(require("./grid"));
const grid_item_1 = __importDefault(require("./grid-item"));
const id_field_1 = __importDefault(require("./fields/id-field"));
const integer_field_1 = __importDefault(require("./fields/integer-field"));
const iterator_1 = __importDefault(require("./actions/iterator"));
const java_script_1 = __importDefault(require("./actions/java-script"));
const list_field_1 = __importDefault(require("./fields/list-field"));
const local_storage_store_1 = __importDefault(require("./stores/local-storage-store"));
const login_1 = __importDefault(require("./aggregate/login"));
const log_in_to_app_1 = __importDefault(require("./actions/log-in-to-app"));
const log_in_to_app_and_redirect_1 = __importDefault(require("./actions/log-in-to-app-and-redirect"));
const log_out_of_app_1 = __importDefault(require("./actions/log-out-of-app"));
const memory_store_1 = __importDefault(require("./stores/memory-store"));
const menu_1 = __importDefault(require("./menu"));
const money_field_1 = __importDefault(require("./fields/money-field"));
const mson_component_1 = __importDefault(require("./component/mson-component"));
const number_field_1 = __importDefault(require("./fields/number-field"));
const object_form_1 = __importDefault(require("./object-form"));
const options_field_1 = __importDefault(require("./fields/options-field"));
const password_field_1 = __importDefault(require("./fields/password-field"));
const person_full_name_field_1 = __importDefault(require("./fields/person-full-name-field"));
const person_name_field_1 = __importDefault(require("./fields/person-name-field"));
const phone_field_1 = __importDefault(require("./fields/phone-field"));
const postal_code_field_1 = __importDefault(require("./fields/postal-code-field"));
const province_field_1 = __importDefault(require("./fields/province-field"));
const re_captcha_field_1 = __importDefault(require("./fields/re-captcha-field"));
const re_captcha_vault_1 = __importDefault(require("./vaults/re-captcha-vault"));
const record_editor_1 = __importDefault(require("./aggregate/record-editor"));
const record_list_1 = __importDefault(require("./aggregate/record-list"));
const record_store_1 = __importDefault(require("./stores/record-store"));
const recover_password_1 = __importDefault(require("./aggregate/recover-password"));
const recover_password_editor_1 = __importDefault(require("./aggregate/recover-password-editor"));
const redirect_1 = __importDefault(require("./actions/redirect"));
const redirect_by_role_1 = __importDefault(require("./actions/redirect-by-role"));
const reg_exp_field_1 = __importDefault(require("./fields/reg-exp-field"));
const request_password_reset_1 = __importDefault(require("./actions/request-password-reset"));
const reset_password_1 = __importDefault(require("./actions/reset-password"));
const reset_password_editor_1 = __importDefault(require("./aggregate/reset-password-editor"));
const roles_field_1 = __importDefault(require("./fields/roles-field"));
const schema_validator_form_1 = __importDefault(require("./form/schema-validator-form"));
const select_field_1 = __importDefault(require("./fields/select-field"));
const select_list_field_1 = __importDefault(require("./fields/select-list-field"));
const set_from_doc_1 = __importDefault(require("./actions/set-from-doc"));
const set_1 = __importDefault(require("./actions/set"));
const signup_editor_1 = __importDefault(require("./aggregate/signup-editor"));
const snackbar_1 = __importDefault(require("./actions/snackbar"));
const state_field_1 = __importDefault(require("./fields/state-field"));
const styles_1 = __importDefault(require("./component/styles"));
const tabs_1 = __importDefault(require("./tabs"));
const text_1 = __importDefault(require("./text"));
const text_field_1 = __importDefault(require("./fields/text-field"));
const text_field_hidden_schema_1 = __importDefault(require("./fields/text-field-hidden-schema"));
const text_list_field_1 = __importDefault(require("./fields/text-list-field"));
const time_field_1 = __importDefault(require("./fields/time-field"));
const ui_component_1 = __importDefault(require("./ui-component"));
const update_password_editor_1 = __importDefault(require("./aggregate/update-password-editor"));
const update_password_1 = __importDefault(require("./aggregate/update-password"));
const upsert_doc_1 = __importDefault(require("./actions/upsert-doc"));
const url_field_1 = __importDefault(require("./fields/url-field"));
const user_1 = __importDefault(require("./form/user"));
const user_list_1 = __importDefault(require("./aggregate/user-list"));
const uuid_field_1 = __importDefault(require("./fields/uuid-field"));
const vault_1 = __importDefault(require("./vaults/vault"));
const where_field_1 = __importDefault(require("./fields/where-field"));
const wrapped_component_1 = __importDefault(require("./component/wrapped-component"));
const components = {
    AccessForm: form_access_1.default,
    Action: action_1.default,
    AddressField: address_field_1.default,
    AddressForm: address_form_1.default,
    Alert: alert_1.default,
    App: app_1.default,
    AuthenticatedContactUs: authenticated_contact_us_1.default,
    BooleanField: boolean_field_1.default,
    ButtonField: button_field_1.default,
    Card: card_1.default,
    ChainedSelectField: chained_select_field_1.default,
    ChainedSelectListField: chained_select_list_field_1.default,
    ChainedSelectOptionsField: chained_select_options_field_1.default,
    CityField: city_field_1.default,
    CollectionField: collection_field_1.default,
    Component: component_1.default,
    ComponentField: component_field_1.default,
    ComponentForm: component_form_1.default,
    CompositeField: composite_field_1.default,
    ConsoleLog: console_log_1.default,
    ContactUs: contact_us_1.default,
    Container: container_1.default,
    CountryField: country_field_1.default,
    DateField: date_field_1.default,
    Email: email_1.default,
    EmailField: email_field_1.default,
    Emit: emit_1.default,
    ExtendedField: extended_field_1.default,
    Factory: factory_1.default,
    Field: field_1.default,
    FirebaseStore: firebase_store_1.default,
    Form: form_1.default,
    FormField: form_field_1.default,
    Fragment: fragment_1.default,
    GenerateComponent: generate_component_1.default,
    GetDoc: get_doc_1.default,
    GetDocs: get_docs_1.default,
    Grid: grid_1.default,
    GridItem: grid_item_1.default,
    IdField: id_field_1.default,
    IntegerField: integer_field_1.default,
    Iterator: iterator_1.default,
    JavaScript: java_script_1.default,
    ListField: list_field_1.default,
    LocalStorageStore: local_storage_store_1.default,
    Login: login_1.default,
    LogInToApp: log_in_to_app_1.default,
    LogInToAppAndRedirect: log_in_to_app_and_redirect_1.default,
    LogOutOfApp: log_out_of_app_1.default,
    MemoryStore: memory_store_1.default,
    Menu: menu_1.default,
    MoneyField: money_field_1.default,
    MSONComponent: mson_component_1.default,
    NumberField: number_field_1.default,
    ObjectForm: object_form_1.default,
    OptionsField: options_field_1.default,
    PasswordField: password_field_1.default,
    PersonFullNameField: person_full_name_field_1.default,
    PersonNameField: person_name_field_1.default,
    PhoneField: phone_field_1.default,
    PostalCodeField: postal_code_field_1.default,
    ProvinceField: province_field_1.default,
    ReCAPTCHAField: re_captcha_field_1.default,
    ReCAPTCHAVault: re_captcha_vault_1.default,
    RecordEditor: record_editor_1.default,
    RecordList: record_list_1.default,
    RecordStore: record_store_1.default,
    RecoverPassword: recover_password_1.default,
    RecoverPasswordEditor: recover_password_editor_1.default,
    Redirect: redirect_1.default,
    RedirectByRole: redirect_by_role_1.default,
    RegExpField: reg_exp_field_1.default,
    RequestPasswordReset: request_password_reset_1.default,
    ResetPassword: reset_password_1.default,
    ResetPasswordEditor: reset_password_editor_1.default,
    RolesField: roles_field_1.default,
    SchemaValidatorForm: schema_validator_form_1.default,
    SelectField: select_field_1.default,
    SelectListField: select_list_field_1.default,
    SetFromDoc: set_from_doc_1.default,
    Set: set_1.default,
    SignupEditor: signup_editor_1.default,
    Snackbar: snackbar_1.default,
    StateField: state_field_1.default,
    Styles: styles_1.default,
    Tabs: tabs_1.default,
    Text: text_1.default,
    TextField: text_field_1.default,
    TextFieldHiddenSchema: text_field_hidden_schema_1.default,
    TextListField: text_list_field_1.default,
    TimeField: time_field_1.default,
    ValidatorForm: form_validator_1.default,
    UIComponent: ui_component_1.default,
    UpdatePasswordEditor: update_password_editor_1.default,
    UpdatePassword: update_password_1.default,
    UpsertDoc: upsert_doc_1.default,
    URLField: url_field_1.default,
    User: user_1.default,
    UserList: user_list_1.default,
    UUIDField: uuid_field_1.default,
    Vault: vault_1.default,
    WhereField: where_field_1.default,
    WrappedComponent: wrapped_component_1.default,
};
exports.default = components;
