"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = __importDefault(require("./field"));
class BooleanField extends field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'BooleanField';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        // Hide from docs as required doesn't make sense for a BooleanField
                        name: 'required',
                        docLevel: null,
                    },
                ],
            },
        });
    }
    validate() {
        super.validate();
        if (!this.isBlank()) {
            const value = this.getValue();
            if (value !== false && value !== true) {
                this.setErr('must be true or false');
            }
        }
    }
    getDisplayValue() {
        const value = this.get('value');
        return value ? 'Yes' : 'No';
    }
    _setRequired( /* required */) {
        // Do nothing as we don't want to report any errors as this prop doesn't apply
    }
}
exports.default = BooleanField;
