export default class CollectionField extends Field {
    static SCROLLTHRESHOLD_DEFAULT: number;
    static ITEMS_PER_PAGE_DEFAULT: number;
    static MAX_BUFFER_PAGES_DEFAULT: number;
    static MAX_ITEMS_PER_PAGE: number;
    static MODES: {
        CREATE: string;
        READ: string;
        UPDATE: string;
        DELETE: string;
        RESTORE: string;
    };
    _window: (Window & typeof globalThis) | undefined;
    _document: Document | undefined;
    _globals: import("../globals").Globals | undefined;
    _forms: CollectionMapa | undefined;
    _formExtras: {} | undefined;
    _generateFormAndEmitLoad(): any;
    _listenForLoaded(): void;
    _onUnload(): void;
    _listenForUnload(): void;
    _resetInfiniteLoader(): void;
    _getOrder(): any;
    _getWhere(): {
        $and: any[];
    } | null | undefined;
    _getSearchString(): any;
    _updateInfiniteLoader(): void;
    _handleStoreChangeFactory(): (name: any, value: any) => Promise<any>;
    _setStore(newStore: any): void;
    _clearForms(): void;
    _clearAndGetAll(): Promise<void>;
    _handleShowArchivedFactory(): (showArchived: any) => Promise<void>;
    _listenForShowArchived(): void;
    _toWhereFromSearchString(): {
        $and: any[];
    } | null;
    _handleSearchStringFactory(): (searchString: any) => Promise<void>;
    _listenForSearchString(): void;
    _handleOrderFactory(): (order: any) => Promise<void>;
    _listenForOrder(): void;
    _handleScrollFactory(): () => void;
    _listenForScroll(): void;
    _onRemoveItems(id: any, n: any, reverse: any): import("../mapa").Key;
    _onResizeSpacer(dHeight: any, height: any): void;
    _onGetAll(props: any): Promise<any>;
    _getItemsPerPage(): any;
    _createInfiniteLoader(): void;
    _infiniteLoader: InfiniteLoader | undefined;
    _listenToForm(form: any): void;
    _notifyUI(muteChange: any, change: any): void;
    _createFormExtras(form: any): {
        buttons: any;
    };
    _getFormKey(form: any): any;
    _addForm({ form, values, muteChange, cursor, beforeKey }: {
        form: any;
        values: any;
        muteChange: any;
        cursor: any;
        beforeKey: any;
    }): any;
    _produceFormAndWaitForLoad(): Promise<any>;
    _produceFormWaitForLoadAndPushForm(forms: any): Promise<void>;
    _onAddItems(edges: any, beforeKey: any): Promise<void>;
    produce(): any;
    _addFormSynchronous(args: any): any;
    _addFormAsynchronous(args: any): Promise<any>;
    addForm({ form, values, muteChange, cursor, beforeKey, synchronous }: {
        form: any;
        values: any;
        muteChange: any;
        cursor: any;
        beforeKey: any;
        synchronous: any;
    }): any;
    _clearAllFormListeners(): void;
    _validateValueType(value: any): void;
    _hasTypeError: boolean | undefined;
    removeForm(id: any, muteChange: any): any;
    removeFormIfExists(id: any, muteChange: any): any;
    getForm(id: any): any;
    getFormExtras(form: any): any;
    eachForm(onForm: any): void;
    mapForms(onForm: any): any[];
    _setForAllForms(props: any): void;
    _setOnAllForms(props: any, propNames: any, expValue: any): void;
    _prepareForm(form: any): void;
    _copyValuesToCurrentForm(form: any, currentForm: any): void;
    _setCurrentForm(currentForm: any): void;
    _switchMode(eventName: any, editable: any, emitValues: any): void;
    _readMode(): void;
    _createMode(): void;
    _updateMode(): void;
    _deleteMode(): void;
    _restoreMode(): Promise<void>;
    _emitEndEvents(): void;
    _setParentDisableSubmit(disableSubmit: any): void;
    _transitionMode(mode: any): boolean;
    _changeMode(form: any, mode: any): void;
    _setMode(mode: any): void;
    _generateForm(factory: any): any;
    _setMaxColumns(maxColumns: any): void;
    _getValue(): any[];
    getForms(): Generator<any, void, unknown>;
    updateForm({ values, muteChange, cursor, beforeKey }: {
        values: any;
        muteChange: any;
        cursor: any;
        beforeKey: any;
    }): any;
    _calcValue(): void;
    upsertForm({ values, muteChange, cursor, beforeKey }: {
        values: any;
        muteChange: any;
        cursor: any;
        beforeKey: any;
    }): any;
    _saveForm(form: any): Promise<any>;
    save(): Promise<any>;
    archive(form: any): Promise<void>;
    restore(form: any): Promise<void>;
    _getMaxSize(): any;
    reachedMax(): boolean;
    getSingularLabel(): any;
    getUniqueItemId(id: any): string;
    moveForm({ sourceIndex, destinationIndex, muteChange }: {
        sourceIndex: any;
        destinationIndex: any;
        muteChange: any;
    }): any;
    moveAndSaveForm({ sourceIndex, destinationIndex, muteChange }: {
        sourceIndex: any;
        destinationIndex: any;
        muteChange: any;
    }): Promise<any>;
}
import Field from "./field";
import CollectionMapa from "./collection-mapa";
import InfiniteLoader from "../infinite-loader";
