"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const field_1 = __importDefault(require("./field"));
const utils_1 = __importDefault(require("../utils/utils"));
class ComponentField extends field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'ComponentField';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'content',
                        component: 'Field',
                        required: true,
                    },
                ],
            },
        });
        // All fields must have a name
        const name = props.name === undefined ? utils_1.default.uuid() : props.name;
        this._setDefaults(props, { in: false, out: false, name });
    }
}
exports.default = ComponentField;
