"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const text_field_1 = __importDefault(require("./text-field"));
class IdField extends text_field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'IdField';
    }
    create(props) {
        super.create(props);
        // Ids can also be a number. TODO: mixin validation/functionality from the NumberField?
        this._requireString = false;
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    ...this.getHiddenFieldDefinitions([
                        'minWords',
                        'maxWords',
                        'invalidRegExp',
                        'multiline',
                    ]),
                ],
            },
        });
    }
    validate() {
        super.validate();
        if (!this.isBlank()) {
            const value = this.getValue();
            if (['string', 'number'].indexOf(typeof value) === -1) {
                this.setErr(`must be a string or number`);
            }
        }
    }
}
exports.default = IdField;
