"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const number_field_1 = __importDefault(require("./number-field"));
class MoneyField extends number_field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'MoneyField';
    }
    create(props) {
        super.create(props);
        const { prefix, thousandsSeparatorSymbol, allowDecimal, decimalLimit } = props;
        // Note: we cannot use setDefaults as we need to utilize inherited logic in set()
        this.set({
            prefix: prefix !== undefined ? prefix : '$',
            thousandsSeparatorSymbol: thousandsSeparatorSymbol !== undefined ? thousandsSeparatorSymbol : ',',
            allowDecimal: allowDecimal !== undefined ? allowDecimal : true,
            decimalLimit: decimalLimit !== undefined ? decimalLimit : 2,
        });
    }
}
exports.default = MoneyField;
