"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const text_field_1 = __importDefault(require("./text-field"));
const utils_1 = __importDefault(require("../utils/utils"));
class RegExpField extends text_field_1.default {
    set(props) {
        const clonedProps = Object.assign({}, props);
        // Convert string to RegExp?
        if (clonedProps.value !== undefined &&
            !(clonedProps.value instanceof RegExp)) {
            clonedProps.value = utils_1.default.toRegExp(clonedProps.value);
        }
        super.set(clonedProps);
    }
}
exports.default = RegExpField;
