"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const list_field_1 = __importDefault(require("./list-field"));
const text_field_1 = __importDefault(require("./text-field"));
class TextListField extends list_field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'TextListField';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'fieldFactory',
                        required: false,
                    },
                    {
                        name: 'minLength',
                        component: 'IntegerField',
                        label: 'Min Length',
                        docLevel: 'basic',
                    },
                    {
                        name: 'maxLength',
                        component: 'IntegerField',
                        label: 'Max Length',
                        docLevel: 'basic',
                    },
                    {
                        name: 'minWords',
                        component: 'IntegerField',
                        label: 'Min Words',
                        docLevel: 'basic',
                    },
                    {
                        name: 'maxWords',
                        component: 'IntegerField',
                        label: 'Max Words',
                        docLevel: 'basic',
                    },
                    {
                        name: 'invalidRegExp',
                        component: 'TextField',
                        label: 'Invalid RegExp',
                        docLevel: 'basic',
                    },
                    {
                        name: 'multiline',
                        component: 'BooleanField',
                        label: 'Multiline',
                        docLevel: 'basic',
                    },
                ],
            },
        });
        this._setDefaults(props, {
            startWithField: true,
        });
    }
    _newField(index) {
        return new text_field_1.default(Object.assign({ name: index, required: false }, this.get([
            'block',
            'fullWidth',
            'minLength',
            'maxLength',
            'minWords',
            'maxWords',
            'invalidRegExp',
            'multiline',
        ])));
    }
    set(props) {
        super.set(props);
        this._setForAllFields(props, [
            'minLength',
            'maxLength',
            'minWords',
            'maxWords',
            'invalidRegExp',
            'multiline',
        ]);
    }
}
exports.default = TextListField;
