"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const text_field_1 = __importDefault(require("./text-field"));
class URLField extends text_field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'URLField';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    ...this.getHiddenFieldDefinitions([
                        'minLength',
                        'maxLength',
                        'minWords',
                        'maxWords',
                        'invalidRegExp',
                        'multiline',
                    ]),
                    {
                        name: 'newWindow',
                        component: 'BooleanField',
                    },
                ],
            },
        });
    }
}
exports.default = URLField;
