"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const form_field_1 = __importDefault(require("../fields/form-field"));
const query_1 = require("../compiler/query");
const object_form_1 = __importDefault(require("../object-form"));
class ValidatorWhere extends object_form_1.default {
    validate() {
        super.validate();
        if (this._valueSet) {
            try {
                (0, query_1.validateQuery)(this._valueSet);
            }
            catch (err) {
                this._errorFromSet = err.message;
                this.set({ err: true });
            }
        }
    }
}
class WhereField extends form_field_1.default {
    constructor() {
        super(...arguments);
        this.className = 'WhereField';
    }
    create(props) {
        super.create(props);
        this._setDefaults(props, { form: new ValidatorWhere() });
    }
}
exports.default = WhereField;
