"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const form_1 = __importDefault(require("./form"));
const text_field_1 = __importDefault(require("../fields/text-field"));
const form_field_1 = __importDefault(require("../fields/form-field"));
const where_field_1 = __importDefault(require("../fields/where-field"));
class ValidatorError extends form_1.default {
    constructor() {
        super(...arguments);
        this.className = 'ValidatorError';
    }
    create(props) {
        super.create(props);
        this.addField(new text_field_1.default({
            name: 'field',
            label: 'Field',
            required: true,
        }));
        this.addField(new text_field_1.default({
            name: 'error',
            label: 'error',
            required: true,
        }));
    }
}
class FormValidator extends form_1.default {
    constructor() {
        super(...arguments);
        this.className = 'FormValidator';
    }
    create(props) {
        super.create(props);
        this.addField(new where_field_1.default({
            name: 'where',
            label: 'Where',
            required: true,
        }));
        this.addField(new form_field_1.default({
            name: 'error',
            label: 'Error',
            form: new ValidatorError(),
            required: true,
        }));
    }
}
exports.default = FormValidator;
