"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const form_1 = __importDefault(require("./form"));
class SchemaValidatorForm extends form_1.default {
    constructor() {
        super(...arguments);
        this.className = 'SchemaValidatorForm';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'compiler',
                        component: 'Field',
                        required: true,
                    },
                ],
            },
        });
    }
    setValues(values) {
        // Dynamically build this form based on the component
        const compiler = this.get('compiler');
        const field = compiler.newComponent({
            component: values.component,
        });
        field.buildSchemaForm(this, compiler);
        // We assign the name to the id so that errors are more descriptive
        super.setValues(Object.assign({}, values, { id: values.name }));
    }
}
exports.default = SchemaValidatorForm;
