"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
const mapa_1 = __importDefault(require("./mapa"));
class Fragment extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Fragment';
    }
    setNamedItems(items) {
        this._getProperty('items').clear();
        items.forEach((item, index) => {
            item.set({ parent: this });
            const key = item.get('name') ? item.get('name') : index;
            this._getProperty('items').set(key, item);
        });
    }
    create(props) {
        // Use a Mapa so that we can reference the items by name, e.g. `items.myComponentName`
        this._setProperty('items', new mapa_1.default());
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'items',
                        component: 'Field',
                    },
                ],
            },
        });
    }
    set(props) {
        const { items } = props;
        if (items !== undefined) {
            this.setNamedItems(items);
        }
        super.set(Object.assign(Object.assign({}, props), { items: undefined }));
    }
}
exports.default = Fragment;
