"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
class GridItem extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'GridItem';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'hidden',
                        component: 'BooleanField',
                    },
                    {
                        name: 'content',
                        component: 'Field',
                    },
                    {
                        name: 'xl',
                        component: 'IntegerField',
                    },
                    {
                        name: 'lg',
                        component: 'IntegerField',
                    },
                    {
                        name: 'md',
                        component: 'IntegerField',
                    },
                    {
                        name: 'sm',
                        component: 'IntegerField',
                    },
                    {
                        name: 'xs',
                        component: 'IntegerField',
                    },
                ],
            },
        });
    }
    set(props) {
        if (props.content !== undefined) {
            props.content.set({ parent: this });
        }
        super.set(props);
    }
}
exports.default = GridItem;
