"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
class Grid extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Grid';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'items',
                        component: 'Field',
                    },
                ],
            },
        });
    }
    set(props) {
        if (props.items !== undefined) {
            props.items.forEach((item) => item.set({ parent: this }));
        }
        super.set(props);
    }
}
exports.default = Grid;
