"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMockedStore = exports.onGetItemElementMock = exports.onGetAllPeople = exports.allRecords = exports.records3 = exports.bowieFlat = exports.bowie = exports.michaelFlat = exports.michael = exports.records2 = exports.sinatraFlat = exports.sinatra = exports.stevieFlat = exports.stevie = exports.records1 = exports.ellaFlat = exports.ella = exports.rayFlat = exports.ray = exports.noop = void 0;
const test_utils_1 = __importDefault(require("./utils/test-utils"));
const mapa_1 = __importDefault(require("./mapa"));
const noop = () => { };
exports.noop = noop;
const defaults = test_utils_1.default.toDefaultFieldsObject(undefined);
exports.ray = {
    node: {
        id: 'ray',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Ray' }),
    },
    cursor: 'rayCursor',
};
exports.rayFlat = Object.assign(Object.assign({}, defaults), { id: 'ray', name: 'Ray' });
exports.ella = {
    node: {
        id: 'ella',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Ella' }),
    },
    cursor: 'ellaCursor',
};
exports.ellaFlat = Object.assign(Object.assign({}, defaults), { id: 'ella', name: 'Ella' });
exports.records1 = {
    pageInfo: {
        hasNextPage: true,
        hasPreviousPage: false,
    },
    edges: [exports.ray, exports.ella],
};
exports.stevie = {
    node: {
        id: 'stevie',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Stevie' }),
    },
    cursor: 'stevieCursor',
};
exports.stevieFlat = Object.assign(Object.assign({}, defaults), { id: 'stevie', name: 'Stevie' });
exports.sinatra = {
    node: {
        id: 'sinatra',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Sinatra' }),
    },
    cursor: 'sinatraCursor',
};
exports.sinatraFlat = Object.assign(Object.assign({}, defaults), { id: 'sinatra', name: 'Sinatra' });
exports.records2 = {
    pageInfo: {
        hasNextPage: true,
        hasPreviousPage: true,
    },
    edges: [exports.stevie, exports.sinatra],
};
exports.michael = {
    node: {
        id: 'michael',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Michael' }),
    },
    cursor: 'michaelCursor',
};
exports.michaelFlat = Object.assign(Object.assign({}, defaults), { id: 'michael', name: 'Michael' });
exports.bowie = {
    node: {
        id: 'bowie',
        fieldValues: Object.assign(Object.assign({}, defaults), { name: 'Bowie' }),
    },
    cursor: 'bowieCursor',
};
exports.bowieFlat = Object.assign(Object.assign({}, defaults), { id: 'bowie', name: 'Bowie' });
exports.records3 = {
    pageInfo: {
        hasNextPage: false,
        hasPreviousPage: true,
    },
    edges: [exports.michael, exports.bowie],
};
// const noEdges = {
//   pageInfo: {
//     hasPreviousPage: true,
//     hasNextPage: false,
//   },
//   edges: [],
// };
exports.allRecords = new mapa_1.default();
exports.allRecords.set(exports.records1.edges[0].node.id, Object.assign({ i: 0 }, exports.records1.edges[0]));
exports.allRecords.set(exports.records1.edges[1].node.id, Object.assign({ i: 1 }, exports.records1.edges[1]));
exports.allRecords.set(exports.records2.edges[0].node.id, Object.assign({ i: 2 }, exports.records2.edges[0]));
exports.allRecords.set(exports.records2.edges[1].node.id, Object.assign({ i: 3 }, exports.records2.edges[1]));
exports.allRecords.set(exports.records3.edges[0].node.id, Object.assign({ i: 4 }, exports.records3.edges[0]));
exports.allRecords.set(exports.records3.edges[1].node.id, Object.assign({ i: 5 }, exports.records3.edges[1]));
const onGetAllPeople = (props) => __awaiter(void 0, void 0, void 0, function* () {
    if (!props.before) {
        switch (props.after) {
            case exports.records1.edges[1].cursor:
                return exports.records2;
            case exports.records2.edges[1].cursor:
                return exports.records3;
            // case records3.edges[1].cursor:
            //   return noEdges;
            default:
                return exports.records1;
        }
    }
    else {
        switch (props.before) {
            // case records1.edges[0].cursor:
            //   return noEdges;
            case exports.records2.edges[0].cursor:
                return exports.records1;
            default:
                //case records3.edges[0].cursor:
                return exports.records2;
            // default:
            //   return records3;
        }
    }
});
exports.onGetAllPeople = onGetAllPeople;
const onGetItemElementMock = (id) => {
    const i = exports.allRecords.get(id).i;
    return {
        offsetTop: i * 100,
        offsetHeight: 100,
    };
};
exports.onGetItemElementMock = onGetItemElementMock;
// const asyncNoop = async () => {};
const createMockedStore = () => {
    return {
        getAllDocs: (props) => __awaiter(void 0, void 0, void 0, function* () {
            return yield (0, exports.onGetAllPeople)(props);
        }),
        // createDoc: asyncNoop,
        updateDoc: (props) => __awaiter(void 0, void 0, void 0, function* () {
            return {
                id: props.form.getValue('id'),
            };
        }),
        // upsertDoc: async (props) => {
        //   return {
        //     id: props.form.getValue('id'),
        //   };
        // },
        archiveDoc: (props) => __awaiter(void 0, void 0, void 0, function* () {
            return {
                id: props.id,
            };
        }),
        restoreDoc: (props) => __awaiter(void 0, void 0, void 0, function* () {
            return {
                id: props.id,
            };
        }),
        on: exports.noop,
    };
};
exports.createMockedStore = createMockedStore;
