"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const form_1 = __importDefault(require("./form"));
// A generic object without any required structure
class ObjectForm extends form_1.default {
    constructor(props) {
        super(props);
        this.className = 'ObjectForm';
        this._errorFromSet = null;
    }
    create(props) {
        super.create(Object.assign(props, { omitDefaultFields: true }));
        // The fields are dynamic so we need to disable the undefined check
        this._set('reportUndefined', false);
    }
    setValues(values) {
        super.setValues(values);
        this._errorFromSet = null;
        this._valueSet = values;
    }
    // Needed as value is not stored in value property
    isBlank() {
        return this._valueSet ? false : true;
    }
    getErrs() {
        let errs = super.getErrs();
        if (this._errorFromSet !== null) {
            errs = errs.concat({ error: this._errorFromSet });
        }
        return errs;
    }
}
exports.default = ObjectForm;
