"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_component_1 = __importDefault(require("./ui-component"));
class Tabs extends ui_component_1.default {
    constructor() {
        super(...arguments);
        this.className = 'Tabs';
    }
    create(props) {
        super.create(props);
        this.set({
            schema: {
                component: 'Form',
                fields: [
                    {
                        name: 'items',
                        component: 'CollectionField',
                        formFactory: {
                            component: 'Factory',
                            product: {
                                component: 'Form',
                                fields: [
                                    {
                                        name: 'name',
                                        component: 'TextField',
                                        label: 'Name',
                                        required: true,
                                    },
                                    {
                                        name: 'label',
                                        component: 'TextField',
                                        label: 'Label',
                                        required: true,
                                    },
                                    {
                                        // TODO: create IconListField (with preview) and use it here
                                        name: 'icon',
                                        component: 'TextField',
                                        label: 'Icon',
                                        docLevel: 'basic',
                                    },
                                ],
                            },
                        },
                    },
                    {
                        name: 'value',
                        component: 'NumberField',
                        help: 'The index of the tab selected',
                    },
                ],
            },
        });
        this._setDefaults(props, {
            value: 0,
        });
    }
}
exports.default = Tabs;
